package com.hand.mas.ant.util;

import java.util.List;

public class ThreadStatusListener extends Thread{
	
//	boolean waitFlag = true;
//	boolean blockFlag = false;
//	int allBlockCount = 0;
//	List<Thread> tl;

	Long timeOut;
	Process proc;
	
//	public ThreadStatusListener(List<Thread> tl){
//		this.tl = tl;
//	}
	
	public ThreadStatusListener(Long timeOut,Process proc){
		this.timeOut = timeOut;
		this.proc = proc;
	}
	
	@Override
	public void start(){
		try{
			Thread.sleep(timeOut);
//			while(true){
//				Thread.sleep(10);
//				for(Thread th : tl){
//					if(th.getState().equals(State.WAITING)){
//						
//					}else{
//						waitFlag = false;
//						break;
//					}
//				}
//				if(!waitFlag){
//					for(Thread th : tl){
//						th.interrupt();
//					}
//					return ;
//				}
//				
//				for(Thread th : tl){
//					if(th.getState().equals(State.BLOCKED)){
//						blockFlag = true;
//					}
//				}
//				
//				if(blockFlag){
//					allBlockCount ++;
//				}
//				if(allBlockCount > 1000){
//					for(Thread th : tl){
//						th.interrupt();
//					}
//					return ;
//				}
//			}
		}catch(InterruptedException e){
			
		}finally{
			proc.destroy();
		}
	}
}
